import React,{Component} from 'react'

import { Switch, Route, Redirect } from 'react-router-dom'

import {
	MLoader
} from '@/components/RunTime'


const Autsel   =MLoader(()=>import('./Autsel'))
const Cptbat   =MLoader(()=>import('./Cptbat'))
const Cptadv   =MLoader(()=>import('./Cptadv'))
const Cptopn   =MLoader(()=>import('./Cptopn'))
const Cptreg   =MLoader(()=>import('./Cptreg'))
const Cptsel   =MLoader(()=>import('./Cptsel'))
const Cptspe   =MLoader(()=>import('./Cptspe'))
const Dbaact   =MLoader(()=>import('./Dbaact'))
const Dbabch   =MLoader(()=>import('./Dbabch'))
const Dbafee   =MLoader(()=>import('./Dbafee'))
const Dbdfrm   =MLoader(()=>import('./Dbdfrm'))
const Dbifrm   =MLoader(()=>import('./Dbifrm'))
const Dbefrm   =MLoader(()=>import('./Dbefrm'))
const Dbafrm   =MLoader(()=>import('./Dbafrm'))
const Dbapty   =MLoader(()=>import('./Dbapty'))
const Dbatrm   =MLoader(()=>import('./Dbatrm'))
const Dbausr   =MLoader(()=>import('./Dbausr'))
const Dbaxrt   =MLoader(()=>import('./Dbaxrt'))
const Dbdact   =MLoader(()=>import('./Dbdact'))
const Dbdbch   =MLoader(()=>import('./Dbdbch'))
const Dbdfee   =MLoader(()=>import('./Dbdfee'))
const Dbdpty   =MLoader(()=>import('./Dbdpty'))
const Dbdtrm   =MLoader(()=>import('./Dbdtrm'))
const Dbdusr   =MLoader(()=>import('./Dbdusr'))
const Dbdxrt   =MLoader(()=>import('./Dbdxrt'))
const Dbeact   =MLoader(()=>import('./Dbeact'))
const Dbebch   =MLoader(()=>import('./Dbebch'))
const Dbefee   =MLoader(()=>import('./Dbefee'))
const Dbepty   =MLoader(()=>import('./Dbepty'))
const Dbetrm   =MLoader(()=>import('./Dbetrm'))
const Dbeusr   =MLoader(()=>import('./Dbeusr'))
const Dbexrt   =MLoader(()=>import('./Dbexrt'))
const Dbiact   =MLoader(()=>import('./Dbiact'))
const Dbibch   =MLoader(()=>import('./Dbibch'))
const Dbifee   =MLoader(()=>import('./Dbifee'))
const Dbipty   =MLoader(()=>import('./Dbipty'))
const Dbitrm   =MLoader(()=>import('./Dbitrm'))
const Dbiusr   =MLoader(()=>import('./Dbiusr'))
const Dbixrt   =MLoader(()=>import('./Dbixrt'))
const Dblbch   =MLoader(()=>import('./Dblbch'))
const Dblfee   =MLoader(()=>import('./Dblfee'))
const Dblfrm   =MLoader(()=>import('./Dblfrm'))
const Dblpty   =MLoader(()=>import('./Dblpty'))
const Dbltrm   =MLoader(()=>import('./Dbltrm'))
const Dblusr   =MLoader(()=>import('./Dblusr'))
const Dblxrt   =MLoader(()=>import('./Dblxrt'))
const Dblact   =MLoader(()=>import('./Dblact'))
const Fetopn   =MLoader(()=>import('./Fetopn'))
const Sptsel   =MLoader(()=>import('./Sptsel'))
const Trnrel   =MLoader(()=>import('./Trnrel'))
const Dblaut   =MLoader(()=>import('./Dblaut'))
const Dbiaut   =MLoader(()=>import('./Dbiaut'))
const Dbaaut   =MLoader(()=>import('./Dbaaut'))
const Dbeaut   =MLoader(()=>import('./Dbeaut'))
const Dbdaut   =MLoader(()=>import('./Dbdaut'))
const Trnrel2  =MLoader(()=>import('./Trnrel/views/index2.js'))
const Dblbcl   =MLoader(()=>import('./Dblbcl'))
const Dbabcl   =MLoader(()=>import('./Dbabcl'))
const Dbebcl   =MLoader(()=>import('./Dbebcl'))
const Dbibcl   =MLoader(()=>import('./Dbibcl'))
const Dbdbcl   =MLoader(()=>import('./Dbdbcl'))
const Dbitsn   =MLoader(()=>import('./Dbitsn'))
const Dbitsk   =MLoader(()=>import('./Dbitsk'))
const Tctopn   =MLoader(()=>import('./Tctopn'))
const Tctinf   =MLoader(()=>import('./Tctinf'))
const Tctame   =MLoader(()=>import('./Tctame'))
const Tctrel   =MLoader(()=>import('./Tctrel'))
const Quesel   =MLoader(()=>import('./Quesel'))
const Dblrol   =MLoader(()=>import('./Dblrol'))
const Dbarol   =MLoader(()=>import('./Dbarol'))
const Dberol   =MLoader(()=>import('./Dberol'))
const Dbirol   =MLoader(()=>import('./Dbirol'))
const Dbefrr   =MLoader(()=>import('./Dbefrr'))
const Dbdrol   =MLoader(()=>import('./Dbdrol'))
const Tctchk   =MLoader(()=>import('./Tctchk'))
const Diasel   =MLoader(()=>import('./Diasel'))
const Ditopn   =MLoader(()=>import('./Ditopn'))
const Ditsel   =MLoader(()=>import('./Ditsel'))
const Ditdck   =MLoader(()=>import('./Ditdck'))
const Ditreg   =MLoader(()=>import('./Ditreg'))
const Bmtrgf   =MLoader(()=>import('./Bmtrgf'))
const Bmtrfc   =MLoader(()=>import('./Bmtrfc'))
const Bmtdcr   =MLoader(()=>import('./Bmtdcr'))
const Bmtacc   =MLoader(()=>import('./Bmtacc'))
const Bmtset   =MLoader(()=>import('./Bmtset'))
const Bmtneg   =MLoader(()=>import('./Bmtneg'))
const Bmtdrj   =MLoader(()=>import('./Bmtdrj'))
const Bmtfre   =MLoader(()=>import('./Bmtfre'))
const Detopn   =MLoader(()=>import("./Detopn"))
const Detsel   =MLoader(()=>import('./Detsel'))
const Detselback   =MLoader(()=>import('./Detselback'))
const Detfre   =MLoader(()=>import('./Detfre'))
const Detame   =MLoader(()=>import('./Detame'))
const Detcan   =MLoader(()=>import('./Detcan'))
const Detreg   =MLoader(()=>import('./Detreg'))
const Sptrim   =MLoader(()=>import('./Sptrim'))
const Ditram   =MLoader(()=>import('./Ditram'))
const Bdtacc   =MLoader(()=>import('./Bdtacc'))
const Bdtdcr   =MLoader(()=>import('./Bdtdcr'))
const Bdtrtn   =MLoader(()=>import('./Bdtrtn'))
const Ditame   =MLoader(()=>import('./Ditame'))
const Ditrej   =MLoader(()=>import('./Ditrej'))
const Bdtset   =MLoader(()=>import('./Bdtset'))
const Bdtame   =MLoader(()=>import('./Bdtame'))
const Infded   =MLoader(()=>import('./Infded'))
const Infdid   =MLoader(()=>import('./Infdid'))
const Bdtfre   =MLoader(()=>import('./Bdtfre'))
const Ditcan   =MLoader(()=>import('./Ditcan'))
const Ditfre   =MLoader(()=>import('./Ditfre'))
const Infsmh   =MLoader(()=>import('./Infsmh'))
const Dbiswm   =MLoader(()=>import('./Dbiswm'))
const Ditselback =MLoader(()=>import('./Ditselback'))
const Ditfee =MLoader(()=>import('./Ditfee'))
const Bdtfee =MLoader(()=>import('./Bdtfee'))
const Fptopn =MLoader(()=>import('./Fptopn'))
const Bptopn =MLoader(()=>import('./Bptopn'))
const Fptsel =MLoader(()=>import('./Fptsel'))
const Bptsel =MLoader(()=>import('./Bptsel'))
const Bptset =MLoader(()=>import('./Bptset'))
const Fptset =MLoader(()=>import('./Fptset'))
const Fstopn =MLoader(()=>import('./Fstopn'))
const Dblurl =MLoader(()=>import('./Dblurl'))
const Dbaurl =MLoader(()=>import('./Dbaurl'))
const Dbeurl =MLoader(()=>import('./Dbeurl'))
const Dbiurl =MLoader(()=>import('./Dbiurl'))
const Dbdurl =MLoader(()=>import('./Dbdurl'))
const Fstset =MLoader(()=>import('./Fstset'))
const Bptexd =MLoader(()=>import('./Bptexd'))
const Sysels =MLoader(()=>import('./Sysels'))
const Trtsel =MLoader(()=>import('./Trtsel'))
const Bmtatt =MLoader(()=>import('./Bmtatt'))
const Chgpwd =MLoader(()=>import('./Chgpwd'))
const Bchreg =MLoader(()=>import('./Bchreg'))
const Bhgadd =MLoader(()=>import('./Bhgadd'))
const Bhgame =MLoader(()=>import('./Bhgame'))
const Bhgdel =MLoader(()=>import('./Bhgdel'))
const Bhgrel =MLoader(()=>import('./Bhgrel'))
const Usrreg = MLoader(()=>import('./Usrreg'))
const Urgame = MLoader(()=>import('./Urgame'))
const Urgdel = MLoader(()=>import('./Urgdel'))
const Urgrel = MLoader(()=>import('./Urgrel'))
const Urgrst = MLoader(()=>import('./Urgrst'))
const Urgadd = MLoader(()=>import('./Urgadd'))
const Bchinf =MLoader(()=>import('./Bchinf'))
const Elsinf =MLoader(()=>import('./Elsinf'))
const Bchrel =MLoader(()=>import('./Bchrel'))
const Usrrel =MLoader(()=>import('./Usrrel'))
const Fresel =MLoader(()=>import('./Fresel'))
const Lckinf =MLoader(()=>import('./Lckinf'))
const Loginf =MLoader(()=>import('./Loginf'))
const Elschk =MLoader(()=>import('./Elschk'))
const Ptybat =MLoader(()=>import('./Ptybat'))
const Gitsel   =MLoader(()=>import('./Gitsel'))
const Getsel   =MLoader(()=>import('./Getsel'))

export default class Bus extends Component{


    render(){
        
        const moduleBasePath = this.props.prefix ? this.props.prefix: '/business/'
        const isDisplay = this.props.prefix && this.props.prefix.indexOf('display') > -1
        const params = isDisplay?{display:true,smodel:this.props.model,changes:this.props.changes}:{}
        return <React.Fragment>
                <Route exact  path={`${moduleBasePath}tctopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Tctopn {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}tctinf${!isDisplay?'':'/:trninr'}`} render={(props)=><Tctinf {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}tctame${!isDisplay?'':'/:trninr'}`} render={(props)=><Tctame {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}tctrel${!isDisplay?'':'/:trninr'}`} render={(props)=><Tctrel {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}quesel${!isDisplay?'':'/:trninr'}`} render={(props)=><Quesel {...props} {...params}/>} />

			    <Route exact  path={`${moduleBasePath}cptbat${!isDisplay?'':'/:trninr'}`} render={(props)=><Cptbat {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}cptadv${!isDisplay?'':'/:trninr'}`} render={(props)=><Cptadv {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}cptopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Cptopn {...props} {...params}/>} />

                <Route exact  path={`${moduleBasePath}cptreg${!isDisplay?'':'/:trninr'}`} render={(props)=><Cptreg {...props} {...params}/>} />
                {/* <Route exact  path={`${moduleBasePath}cptreg`} component={Cptreg} /> */}
                
                <Route exact  path={`${moduleBasePath}cptsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Cptsel {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}cptspe${!isDisplay?'':'/:trninr'}`} render={(props)=><Cptspe {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbaact${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbaact {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbabch${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbabch {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbafee${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbafee {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbdfrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdfrm {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbifrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbifrm {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbefrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbefrm {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbafrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbafrm {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbapty${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbapty {...props} {...params}/>} />               
                <Route exact  path={`${moduleBasePath}dbausr${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbausr {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbaxrt${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbaxrt {...props} {...params}/>} />                
                <Route exact  path={`${moduleBasePath}dbdact${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdact {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbdbch${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdbch {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbdfee${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdfee {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbdpty${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdpty {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbdusr${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdusr {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbdxrt${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdxrt {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbeact${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbeact {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbebch${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbebch {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbefee${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbefee {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbepty${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbepty {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbeusr${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbeusr {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbexrt${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbexrt {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbiact${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbiact {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbibch${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbibch {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbifee${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbifee {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbipty${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbipty {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbiusr${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbiusr {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbixrt${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbixrt {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dblact${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblact {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dblbch${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblbch {...props} {...params}/>} />

                <Route exact  path={`${moduleBasePath}dblbcl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblbcl {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbabcl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbabcl {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbebcl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbebcl {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbibcl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbibcl {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dbdbcl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdbcl {...props} {...params}/>} />

                <Route exact  path={`${moduleBasePath}dbitsn${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbitsn {...props} {...params}/>} />

                <Route exact  path={`${moduleBasePath}dbitsk${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbitsk {...props} {...params}/>} />

                <Route exact  path={`${moduleBasePath}dblfee${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblfee {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dblfrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblfrm {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dblpty${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblpty {...props} {...params}/>} />                                                
                <Route exact  path={`${moduleBasePath}dblusr${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblusr {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}dblxrt${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblxrt {...props} {...params}/>} />     
                <Route exact  path={`${moduleBasePath}dbltrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbltrm {...props} {...params}/>} />        				  				
                <Route exact  path={`${moduleBasePath}sptsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Sptsel {...props} {...params}/>} />                
                <Route exact  path={`${moduleBasePath}trnrel${!isDisplay?'':'/:trninr'}`} render={(props)=><Trnrel {...props} {...params}/>} />
                <Route exact  path={`${moduleBasePath}trndet${!isDisplay?'':'/:trninr'}`} render={(props)=><Trnrel2 {...props} {...params}/>} />
				<Route exact  path={`${moduleBasePath}dbitrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbitrm {...props} {...params}/>} />    
				<Route exact  path={`${moduleBasePath}dbatrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbatrm {...props} {...params}/>} />    
				<Route exact  path={`${moduleBasePath}dbetrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbetrm {...props} {...params}/>} />    
				<Route exact  path={`${moduleBasePath}dbdtrm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdtrm {...props} {...params}/>} /> 
	            <Route exact  path={`${moduleBasePath}fetopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Fetopn {...props} {...params}/>} /> 		

	            <Route exact  path={`${moduleBasePath}dblaut${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblaut {...props} {...params}/>} /> 
	            <Route exact  path={`${moduleBasePath}dbiaut${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbiaut {...props} {...params}/>} /> 	
	            <Route exact  path={`${moduleBasePath}dbaaut${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbaaut {...props} {...params}/>} /> 	
	            <Route exact  path={`${moduleBasePath}dbeaut${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbeaut {...props} {...params}/>} /> 	
	            <Route exact  path={`${moduleBasePath}dbdaut${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdaut {...props} {...params}/>} /> 
                <Route exact  path={`${moduleBasePath}autsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Autsel {...props} {...params}/>} /> 

                <Route exact  path={`${moduleBasePath}dblrol${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblrol {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbarol${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbarol {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbdrol${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdrol {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbefrr${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbefrr {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dberol${!isDisplay?'':'/:trninr'}`} render={(props)=><Dberol {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbirol${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbirol {...props} {...params}/>} />

                 <Route exact  path={`${moduleBasePath}tctchk${!isDisplay?'':'/:trninr'}`} render={(props)=><Tctchk {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}diasel${!isDisplay?'':'/:trninr'}`} render={(props)=><Diasel {...props} {...params}/>} />

                 <Route exact  path={`${moduleBasePath}ditopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditopn {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditsel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditdck${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditdck {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditreg${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditreg {...props} {...params}/>} />

                 <Route exact  path={`${moduleBasePath}bdtacc${!isDisplay?'':'/:trninr'}`} render={(props)=><Bdtacc {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bdtrtn${!isDisplay?'':'/:trninr'}`} render={(props)=><Bdtrtn {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bdtdcr${!isDisplay?'':'/:trninr'}`} render={(props)=><Bdtdcr {...props} {...params}/>} />

                 <Route exact  path={`${moduleBasePath}ditram${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditram {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditame${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditame {...props} {...params}/>} />
               
                 <Route exact  path={`${moduleBasePath}detsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Detsel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}detselback${!isDisplay?'':'/:trninr'}`} render={(props)=><Detselback {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}detopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Detopn {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}detfre${!isDisplay?'':'/:trninr'}`} render={(props)=><Detfre {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}detame${!isDisplay?'':'/:trninr'}`} render={(props)=><Detame {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}detcan${!isDisplay?'':'/:trninr'}`} render={(props)=><Detcan {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}detreg${!isDisplay?'':'/:trninr'}`} render={(props)=><Detreg {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtrfc${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtrfc {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtdcr${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtdcr {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtacc${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtacc {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtset${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtset {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtrgf${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtrgf {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtneg${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtneg {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtdrj${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtdrj {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtfre${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtfre {...props} {...params}/>} />

                 <Route exact  path={`${moduleBasePath}sptrim${!isDisplay?'':'/:trninr'}`} render={(props)=><Sptrim {...props} {...params}/>} />

                 <Route exact  path={`${moduleBasePath}ditrej${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditrej {...props} {...params}/>} />

                 
                 <Route exact  path={`${moduleBasePath}bdtset${!isDisplay?'':'/:trninr'}`} render={(props)=><Bdtset {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bdtame${!isDisplay?'':'/:trninr'}`} render={(props)=><Bdtame {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bdtfre${!isDisplay?'':'/:trninr'}`} render={(props)=><Bdtfre {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditcan${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditcan {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditfre${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditfre {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}infded${!isDisplay?'':'/:trninr'}`} render={(props)=><Infded {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}infdid${!isDisplay?'':'/:trninr'}`} render={(props)=><Infdid {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}infsmh${!isDisplay?'':'/:trninr'}`} render={(props)=><Infsmh {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbiswm${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbiswm {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditselback${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditselback {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ditfee${!isDisplay?'':'/:trninr'}`} render={(props)=><Ditfee {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bdtfee${!isDisplay?'':'/:trninr'}`} render={(props)=><Bdtfee {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}fptopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Fptopn {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bptopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Bptopn {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}fptsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Fptsel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bptsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Bptsel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bptset${!isDisplay?'':'/:trninr'}`} render={(props)=><Bptset {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}fptset${!isDisplay?'':'/:trninr'}`} render={(props)=><Fptset {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}fstopn${!isDisplay?'':'/:trninr'}`} render={(props)=><Fstopn {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dblurl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dblurl {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbaurl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbaurl {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbeurl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbeurl {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbiurl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbiurl {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}dbdurl${!isDisplay?'':'/:trninr'}`} render={(props)=><Dbdurl {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}fstset${!isDisplay?'':'/:trninr'}`} render={(props)=><Fstset {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bptexd${!isDisplay?'':'/:trninr'}`} render={(props)=><Bptexd {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}sysels${!isDisplay?'':'/:trninr'}`} render={(props)=><Sysels {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}trtsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Trtsel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bmtatt${!isDisplay?'':'/:trninr'}`} render={(props)=><Bmtatt {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}chgpwd${!isDisplay?'':'/:trninr'}`} render={(props)=><Chgpwd {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bchreg${!isDisplay?'':'/:trninr'}`} render={(props)=><Bchreg {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bhgadd${!isDisplay?'':'/:trninr'}`} render={(props)=><Bhgadd {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bhgame${!isDisplay?'':'/:trninr'}`} render={(props)=><Bhgame {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bhgrel${!isDisplay?'':'/:trninr'}`} render={(props)=><Bhgrel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bhgdel${!isDisplay?'':'/:trninr'}`} render={(props)=><Bhgdel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}usrreg${!isDisplay?'':'/:trninr'}`} render={(props)=><Usrreg {...props} {...params}/>} />

                 <Route exact  path={`${moduleBasePath}urgadd${!isDisplay?'':'/:trninr'}`} render={(props)=><Urgadd {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}urgame${!isDisplay?'':'/:trninr'}`} render={(props)=><Urgame {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}urgdel${!isDisplay?'':'/:trninr'}`} render={(props)=><Urgdel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}urgrel${!isDisplay?'':'/:trninr'}`} render={(props)=><Urgrel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}urgrst${!isDisplay?'':'/:trninr'}`} render={(props)=><Urgrst {...props} {...params}/>} />
                 
                 <Route exact  path={`${moduleBasePath}bchinf${!isDisplay?'':'/:trninr'}`} render={(props)=><Bchinf {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}elsinf${!isDisplay?'':'/:trninr'}`} render={(props)=><Elsinf {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}bchrel${!isDisplay?'':'/:trninr'}`} render={(props)=><Bchrel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}usrrel${!isDisplay?'':'/:trninr'}`} render={(props)=><Usrrel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}fresel${!isDisplay?'':'/:trninr'}`} render={(props)=><Fresel {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}loginf${!isDisplay?'':'/:trninr'}`} render={(props)=><Loginf {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}lckinf${!isDisplay?'':'/:trninr'}`} render={(props)=><Lckinf {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}elschk${!isDisplay?'':'/:trninr'}`} render={(props)=><Elschk {...props} {...params}/>} />
                 <Route exact  path={`${moduleBasePath}ptybat${!isDisplay?'':'/:trninr'}`} render={(props)=><Ptybat {...props} {...params}/>} />
				 <Route exact  path={`${moduleBasePath}gitsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Gitsel {...props} {...params}/>} />
				  <Route exact  path={`${moduleBasePath}getsel${!isDisplay?'':'/:trninr'}`} render={(props)=><Getsel {...props} {...params}/>} />
        </React.Fragment>
    }
}

